IAcSmEnumProperty

提供:GizmoLabs - だいたい CAD LISP なサイト

IAcSmCustomPropertyValue オブジェクトの Enumerator


使用可能なメソッド

(setq cad (vlax-get-acad-object))
(setq ssmgr (vla-GetInterfaceObject cad "BricscadSm.AcSmSheetSetMgr"))
(setq smdb (vlax-invoke-method ssmgr 'OpenDatabase dstfile))
(setq sheetset (vlax-invoke-method smdb 'GetSheetSet))
(setq custProps (vlax-invoke-method sheetset "GetCustomPropertyBag"))
(setq iter (vlax-invoke-method custProps 'GetPropertyEnumerator))


項目 内容
Next 繰り返し,実際の要素を(名前と値として)返す
(setq res (vlax-invoke-method iter 'Next 'propname 'propobj))

HRESULT Next ([out] BSTR* propname, [out] IAcSmCustomPropertyValue** ppValue)
Reset 列挙子を最初の要素にリセットする。
(vlax-invoke-method iter 'Reset)

HRESULT Reset ()



関連記事